- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- AnnotateImage
- GetMultilineTypeMetrics
- GetTypeMetrics

# NAME

annotate - Annotate an Image

# SYNOPSIS

MagickBooleanType AnnotateImage( Image *image, DrawInfo *draw_info );

MagickBooleanType GetMultilineTypeMetrics( Image *image, const DrawInfo *draw_info, TypeMetric *metrics );

MagickBooleanType GetTypeMetrics( Image *image, const DrawInfo *draw_info, TypeMetric *metrics );

# FUNCTION DESCRIPTIONS

## AnnotateImage

> AnnotateImage() annotates an image with text. Optionally you can include any of the following bits of information about the image by embedding the appropriate special characters:

The format of the AnnotateImage method is:

> MagickBooleanType AnnotateImage ( Image *image, DrawInfo *draw_info );

A description of each parameter follows:

image:
  The image.

draw_info:
  The draw info.

## GetMultilineTypeMetrics

> GetMultilineTypeMetrics() returns the following information for the specified font and text:

      character width
      character height
      ascent
      descent
      text width
      text height
      maximum horizontal advance
      underline position
      underline thickness

This method is like `GetTypeMetrics()` but it returns the maximum text width and height for multiple lines of text.

The format of the GetMultilineTypeMetrics method is:

> MagickBooleanType GetMultilineTypeMetrics ( Image *image, const DrawInfo *draw_info, TypeMetric *metrics );

A description of each parameter follows:

image:
  The image.

draw_info:
  The draw info.

metrics:
  Return the font metrics in this structure.

## GetTypeMetrics

> GetTypeMetrics() returns the following information for the specified font and text:

      character width
      character height
      ascent
      descent
      text width
      text height
      maximum horizontal advance
      underline position
      underline thickness

The format of the GetTypeMetrics method is:

> MagickBooleanType GetTypeMetrics ( Image *image, const DrawInfo *draw_info, TypeMetric *metrics );

A description of each parameter follows:

image:
  The image.

draw_info:
  The draw info.

metrics:
  Return the font metrics in this structure.

"Image manipulation software that works like magick"